## sndobj 2.6.1a

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 #
 ######################################################
 
-# choose either win, oss, mosx or blank (no RT)
+# choose either win, oss, mosx, alsa or blank (no RT)
 #PLATFORM =.win
 #PLATFORM =.oss
 #PLATFORM =.mosx
-PLATFORM =
+PLATFORM =.alsa
 
 LIBDEST = /usr/local/lib
 INCDEST = /usr/local/include
