=== src/Makefile ===
--- 
+++ 
@@ -4,14 +4,15 @@
 ##############################################################
 
 # Choose the compiler 
-# On Linux or Cygwin use gnu g++  (CC = g++)
+# On Linux or Cygwin use gnu gcc  (CC = gcc)
 # On Irix use MipsPRO if you have it (CC = CC)
 
-CC	=	g++
+CC	=	gcc
 
 #  Choose one of the options for REALTIME audio & midi:
 #  for RT on CYGWIN: -DWIN
-#  for RT on Linux (etc...) with OSS: -DOSS
+#  for RT on Linux (etc...) with OSS: -DOSS 
+#  for RT on Linux with ALSA: -DALSA
 #  for RT on Irix: -DSGI 
 #  for RT on  Mac OS X: -DMACOSX 
 #   -I/system/library/Frameworks/CoreAudio.framework/Headers
@@ -31,8 +32,8 @@
 
 # Flags for includes and libraries
 
-CFLAGS =    -O -I$(iDir) $(RTDEFS) 
-LFLAGS =    -O  
+CFLAGS =    -O2 -I$(iDir) $(RTDEFS) 
+LFLAGS =    -O2  
 
 # Core Library object files
 
@@ -50,8 +51,10 @@
 MidiMap.o Bend.o Fir.o FFT.o \
 IFFT.o Convol.o FastOsc.o Osc.o \
 Osci.o PVA.o IFGram.o HiPass.o \
-LowPass.o TpTz.o PVS.o PVMorph.o PVRead.o \
-SinAnal.o SinSyn.o AdSyn.o \
+LowPass.o TpTz.o PVS.o PVMorph.o \
+PVFilter.o PVMask.o PVMix.o \
+PVTransp.o PVBlur.o PVRead.o \
+SinAnal.o SinSyn.o AdSyn.o ReSyn.o IFAdd.o \
 SndRead.o SpecIn.o SpecMult.o \
 SpecCart.o SpecCombine.o SpecInterp.o \
 SpecPolar.o SpecSplit.o SpecThresh.o \
@@ -65,8 +68,8 @@
 TABLEOBJS = HarmTable.o UsrHarmTable.o \
 TrisegTable.o SndTable.o PlnTable.o \
 HammingTable.o NoteTable.o UsrDefTable.o \
-LoPassTable.o 
-
+LoPassTable.o ImpulseTable.o \
+SpecEnvTable.o  EnvTable.o PVEnvTable.o PVTable.o
 SNDTHROBJ = SndThread.o 
 
 # fftw library v-2.1.3
