=== src/examples/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 LIBNAME = $(libDir)/libsndobj.a
 LIB    = -L../../lib -lsndobj 
 
-CFLAGS =  -O -I$(iDir) $(DEFS)
+CFLAGS =  -O2 -I$(iDir) $(DEFS)
 LFLAGS =  -lm -lpthread
