## sndobj 2.6.6.1

=== SConstruct ===
####################################################################
# This file is part of the SndObj library
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
#
#
# scons build system for SndObj
# 
# Copyright (C) 2005 by Tim Blechmann and Victor Lazzarini
#
#  See License.txt for for a disclaimer of all warranties
#  and licensing information

import sys
import os
import distutils.sysconfig

env = Environment(ENV = {'PATH' : os.environ['PATH']})
env.SConsignFile()
# env.CacheDir('./obj')

######################################################################
#
# general configuration



def getVersion():
    return sys.version[:3]    

def getPlatform():
    if sys.platform[:5] == 'linux':
        return 'linux'
    elif sys.platform[:3] == 'win':
        if env['PLATFORM'] == 'win32':
        	return 'win'
	else:
		return 'cygwin'
    elif sys.platform[:6] == 'darwin':
        return 'macosx'
    elif sys.platform[:4] == 'irix' :
        return 'sgi'
    else:
        return 'unsupported'

opt = Options(['options.cache'])
opt.AddOptions(
	BoolOption('alsa', 'on linux, build with alsa support', True),
	BoolOption('oss',  'on unix or linux, build with OSS support', False),
        BoolOption('jack', 'on linux or OSX, build with Jack support', True),
	('flags', 'additional compile flags', ""),
	('prefix', 'install prefix of headers, static lib and shared lib', '/usr/local'),
        ('instdir', 'base directory', ''), 
        ('pddir', 'PD directory on windows', 'C:\\PureData'),
        BoolOption('nostaticlib', 'do not build static library', True),
        BoolOption('pythonmodule', 'build python module', False),
        BoolOption('javamodule', 'build java module', False),
        BoolOption('lispmodule', 'build CFFI module', False),
        BoolOption('examples', 'build C++ examples', False),
        ('install_name', 'on OSX, the dynamic library full install pathname (before installation)', 'lib/libsndobj.dylib'),
        ('pythonpath', 'python include path (defaults to usual places)', ''),
        ('pythonlibpath', 'python lib path (WIN only,defaults to usual places)', ''),
        ('javapath', 'java headers path (defaults to usual places)', ''),
        ('customCPPPATH', '',''),
        ('customCCFLAGS', '',''),
        ('customCXXFLAGS','',''),
        ('customLIBS','',''),
        ('customLIBPATH','',''),
        ('customSHLINKFLAGS','',''),
        ('customSWIGFLAGS','',''),
        ('version', 'library version','2.6.5')
	)

opt.Update(env)
opt.Save('options.cache',env)
Help(opt.GenerateHelpText(env))
version = env['version']
print "SndObj Library version is " + version
 
customCPPPATH = env['customCPPPATH']
env.Prepend(CPPPATH = customCPPPATH)
customCCFLAGS = env['customCCFLAGS']
env.Prepend(CCFLAGS = customCCFLAGS)
customCXXFLAGS = env['customCXXFLAGS']
env.Prepend(CXXFLAGS = customCXXFLAGS)
customLIBS = env['customLIBS']
env.Prepend(LIBS = customLIBS)
customLIBPATH = env['customLIBPATH']
env.Prepend(LIBPATH = customLIBPATH)
customSHLINKFLAGS = env['customSHLINKFLAGS']
env.Prepend(SHLINKFLAGS = customSHLINKFLAGS)
customSWIGFLAGS = env['customSWIGFLAGS']
env.Prepend(SWIGFLAGS = customSWIGFLAGS)

print "Building the Sound Object Library"
configure = env.Configure()

print "scons tools in this system: ", env['TOOLS']
cffipath = ''
pythonlibpath = []
print "Checking for Realtime IO support..." 
if getPlatform() == 'linux':
        msvctools = False
        print "OS is Linux..."
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
        perms = env.Command('perms', 'src/AudioDefs.h', "chmod a-x include/SndObj/*.h")
        Depends(perms,hdrs)
	alsaFound = configure.CheckHeader("alsa/asoundlib.h", language = "C")
	ossFound = configure.CheckHeader("soundcard.h", language="C")
	jackFound = configure.CheckHeader("jack/jack.h", language = "C")
	if alsaFound and env['alsa']:
	  env.Append(CPPDEFINES="ALSA")
          swigdef = ['-DALSA']
          env.Append(LIBS=['asound'])
          print "The library realtime IO (class SndRTIO) will be configured for ALSA"
	  rtio = True 
	elif ossFound and env['oss']:
	  env.Append(CPPDEFINES="OSS")
          print "The library realtime IO (class SndRTIO) will be configured for OSS"
          rtio = True
        else:
          print "No alsa or OSS RT support"
          rtio = False  
	if jackFound:
          env.Append(CPPDEFINES=Split('JACK'))
          env.Append(LIBS=['jack'])
          swigdef.append('-DJACK')
          print "The library will include support for Jack (Class SndJackIO)"
        pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
        javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
       
   
if getPlatform() == 'win':
        print "OS is Windows, environment is win32..."
	env.Append(CPPDEFINES="WIN")
        swigdef = ['-DWIN', '-DSWIGFIX', '-D_MSBC']
        if 'msvc'in env['TOOLS']: # MSVC
          msvctools = True
          hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "copy  src\\*.h include\\SndObj")
          separateLibs = False
          print 'using MSVC...'
          includes = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\include"
          libs = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\lib"
          env.Append(CPPPATH=['msvc6.0'])
          pythonlib=''
          env.Append(LIBS=['pthreadVC', 'advapi32', 'user32'])
        else: # mingw ? Set any outstanding mingwin paths here
          msvctools = False
          hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
          separateLibs = True
          print 'using MINGW...'
          env.Append(CPPDEFINES=['GCC', 'USE_WIN32THREADS'])
          swigdef.append(['-DUSE_WIN32THREADS'])
          includes = ''
          libs     = ''
          pythonlib = 'python%c%c'% (getVersion()[0], getVersion()[2])
        env.Append(CPPPATH=[includes])
 	env.Append(LIBPATH=[libs])
 	env.Append(LIBPATH=['lib'])
        env.Append(LIBS=['winmm'])
        rtio = True
        jackFound = False
        pythonincpath = ['c:\\Python%c%c\include' % (getVersion()[0], getVersion()[2]), env['pythonpath']]
        pythonlibpath.append('c:\\Python%c%c\libs' % (getVersion()[0], getVersion()[2]))
        pythonlibpath.append(env['pythonlibpath'])
        javapath = ["C:\\Program Files\\Java\\jdk1.5.0_05",env['javapath']]

if getPlatform() == 'cygwin':
        print "OS is Windows, environment is Cygwin..."
        msvctools = False
	env.Append(CPPDEFINES=['WIN', 'GCC'])
        swigdef = ['-DWIN', '-DSWIGFIX', '-D_MBCS']
        env.Append(LIBS=['winmm', 'pthread'])
        env.Append(LIBPATH=['lib'])
        rtio = True
        jackFound = False
        pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
        javapath =   ['/usr/lib/java/jvm/include', env['javapath']]

if getPlatform() == 'macosx':
        print "OS is MacOSX"
        msvctools = False
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
	env.Append(CPPDEFINES="MACOSX")
        swigdef = ['-DMACOSX']
	env.Append(CPPPATH=["/system/library/Frameworks/CoreAudio.framework/Headers"])
        env.Append(LINKFLAGS= ['-framework', 'coreaudio'])
        jackFound = configure.CheckHeader("jack/jack.h", language = "C")
        if jackFound:
	  env.Append(CPPDEFINES=Split('JACK'))
          env.Append(LIBS=Split('jack'))
          swigdef.append('-DJACK')
          print "The library will include support for Jack (Class SndJackIO)" 
        rtio = True
        pythonincpath = [env['pythonpath'], '/Library/Frameworks/Python.framework/Headers', '/System/Library/Frameworks/Python.framework/Headers']
        javapath = ['/System/Library/Frameworks/JavaVM.framework', env['javapath']]  


if getPlatform() == 'sgi':
        print "OS is SGI/Irix..."
        msvctools = False
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
        env.Append(CPPDEFINES="SGI")
        swigdef = ['-DSGI']
        env.Append(LIBS=['audio', 'midi', 'pthread'])
        rtio = True
        jackFound = False
        pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
        javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
       

if getPlatform() == 'unsupported':
       print "Realtime IO not supported on this platform: %s" % sys.platform
       hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
       rtio = False
       swigdef = ['-DNO_RTIO']
       env.Append(LIBS=['pthread'])
       msvctools = False
       jackFound = False
       pythonincpath = ['/usr/include/python%c%c' % (getVersion()[0], getVersion()[2]), env['pythonpath']]      
       javapath = ['/usr/java/include', env['javapath']]

if not msvctools:
   flags = "-O2" + env['flags']
else:
   flags = "-GX -GB -O2" + env['flags']
   
#check endianness
if sys.byteorder == "big":
    print "Host is big endian"
    env.Append(CPPFLAGS="-DWORDS_BIGENDIAN")
else:
    print "Host is little endian"

if not rtio:
   env.Prepend(CPPDEFINES=['NO_RTIO'])

env.Prepend(CPPPATH= ['include','include/rfftw'])
swigcheck = 'swig' in env['TOOLS']
print 'swig %s' % (["doesn't exist", "exists..."][int(swigcheck)])

pythonh = configure.CheckHeader("Python.h", language = "C")
if not pythonh:
 for i in pythonincpath:
    pythonh = configure.CheckHeader("%s/Python.h" % i, language = "C")
    if pythonh:
      print "Python version is " + getVersion()
      break

if not pythonh:
    print "Python headers are missing... cannot build python module"

pysndobj = env.Clone()
jsndobj = env.Clone()
cffisndobj = env.Clone()
examples = env.Clone()

if getPlatform() == 'linux':
      env.Append(SHLINKFLAGS=['-Wl,-soname=libsndobj.so.%s'% version])
######################################################################
#
# sources

sndobjsources = Split("""Oscil.cpp Oscilt.cpp Oscili.cpp 
PhOscili.cpp ADSR.cpp IADSR.cpp Buzz.cpp 
Balance.cpp DelayLine.cpp Tap.cpp Tapi.cpp 
Comb.cpp Allpass.cpp StringFlt.cpp Pluck.cpp 
VDelay.cpp Pitch.cpp Loop.cpp Filter.cpp 
Reson.cpp Lp.cpp ButtBP.cpp ButtBR.cpp 
ButtHP.cpp ButtLP.cpp Mix.cpp Pan.cpp 
Gain.cpp SyncGrain.cpp Interp.cpp Phase.cpp 
Lookup.cpp Lookupi.cpp Ring.cpp Rand.cpp 
Randh.cpp Randi.cpp Unit.cpp Ap.cpp 
Hilb.cpp SndIn.cpp SndObj.cpp MidiIn.cpp 
MidiMap.cpp Bend.cpp Fir.cpp FFT.cpp 
IFFT.cpp Convol.cpp FastOsc.cpp Osc.cpp 
Osci.cpp PVA.cpp IFGram.cpp HiPass.cpp 
LowPass.cpp TpTz.cpp PVS.cpp PVMorph.cpp 
PVFilter.cpp PVMask.cpp PVMix.cpp 
PVTransp.cpp PVBlur.cpp PVRead.cpp 
SinAnal.cpp SinSyn.cpp AdSyn.cpp ReSyn.cpp IFAdd.cpp 
SndRead.cpp SpecIn.cpp SpecMult.cpp 
SpecCart.cpp SpecCombine.cpp SpecInterp.cpp 
SpecPolar.cpp SpecSplit.cpp SpecThresh.cpp 
SpecVoc.cpp  Ptrack.cpp""")

sndiosources = Split("""SndIO.cpp SndRTIO.cpp SndFIO.cpp 
SndWave.cpp SndAiff.cpp SndBuffer.cpp 
SndMidi.cpp SndMidiIn.cpp SndWaveX.cpp 
SndPVOCEX.cpp SndSinIO.cpp  SndCoreAudio.cpp SndJackIO.cpp SndASIO.cpp """)

tablesources = Split("""HarmTable.cpp UsrHarmTable.cpp 
TrisegTable.cpp SndTable.cpp PlnTable.cpp 
HammingTable.cpp NoteTable.cpp UsrDefTable.cpp 
LoPassTable.cpp ImpulseTable.cpp 
SpecEnvTable.cpp  EnvTable.cpp PVEnvTable.cpp PVTable.cpp""")
