=== src/Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 LowPass.o TpTz.o PVS.o PVMorph.o \
 PVFilter.o PVMask.o PVMix.o \
 PVTransp.o PVBlur.o PVRead.o \
-SinAnal.o SinSyn.o AdSyn.o ReSyn.o IFAdd.o \
+SinAnal.o SinSyn.o AdSyn.o \
 SndRead.o SpecIn.o SpecMult.o \
 SpecCart.o SpecCombine.o SpecInterp.o \
 SpecPolar.o SpecSplit.o SpecThresh.o \
