=== debian/control ===
Source: sndobj
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 8.1.3~),
 fftw-dev,
 libasound2-dev [linux-any],
 libjack-dev,
 scons
Standards-Version: 3.9.2
Homepage: http://sndobj.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-multimedia/sndobj.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/sndobj.git

Package: libsndobj-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 fftw-dev,
 libsndobj2v5 (= ${binary:Version}),
 ${misc:Depends}
Description: Sound Object library (development files)
 The Sound Object Library is an object-oriented audio processing library.
 It provides objects for synthesis and processing of sound that can be used
 to build applications for computer-generated music.
 .
 This package contains the development files.

Package: libsndobj2v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 libsndobj2,
 libsndobj2c2
Conflicts:
 libsndobj2,
 libsndobj2c2
Description: Sound Object library
 The Sound Object Library is an object-oriented audio processing library.
 It provides objects for synthesis and processing of sound that can be used
 to build applications for computer-generated music.
