=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_clean:
	rm -rf lib
	dh_auto_clean

override_dh_auto_build:
	mkdir lib
ifeq (linux,$(DEB_HOST_ARCH_OS))
	scons ALSA=true OSS=false JACK=true customLIBS=pthread customLIBPATH=/usr/lib/$(DEB_HOST_MULTIARCH)
else
	scons ALSA=false OSS=true JACK=false customLIBS=pthread customLIBPATH=/usr/lib/$(DEB_HOST_MULTIARCH)
endif

override_dh_install:
	dh_install -plibsndobj-dev include/SndObj usr/include
	dh_install -plibsndobj-dev lib/*.so usr/lib/$(DEB_HOST_MULTIARCH)/
	rm -rf debian/libsndobj-dev/usr/include/SndObj/CVS/
	dh_install -plibsndobj2v5 lib/*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_installchangelogs:
	dh_installchangelogs change.log
