=== debian/watch ===
version=3
http://sf.net/sndobj/SndObj-(.+)\.tar\.gz
