## sndobj 2.6.7+ds1

=== SConstruct ===
--- 
+++ 
@@ -66,9 +66,12 @@
         ('pddir', 'PD directory on windows', 'C:\\PureData'),
         BoolOption('nostaticlib', 'do not build static library', True),
         BoolOption('pythonmodule', 'build python module', False),
+        BoolOption('numpy', 'include support for numpy arrays', False),
         BoolOption('javamodule', 'build java module', False),
         BoolOption('lispmodule', 'build CFFI module', False),
         BoolOption('examples', 'build C++ examples', False),
+        BoolOption('no_rtio', 'No RT IO', False),
+        BoolOption('useASIO', 'Use ASIO, requires ASIO SDK files to be place in ./src/asio', False),
         ('install_name', 'on OSX, the dynamic library full install pathname (before installation)', 'lib/libsndobj.dylib'),
         ('pythonpath', 'python include path (defaults to usual places)', ''),
         ('pythonlibpath', 'python lib path (WIN only,defaults to usual places)', ''),
@@ -106,23 +109,25 @@
 
 print "Building the Sound Object Library"
 configure = env.Configure()
-
+buildasio = 0
 print "scons tools in this system: ", env['TOOLS']
 cffipath = ''
 pythonlibpath = []
 print "Checking for Realtime IO support..." 
-if getPlatform() == 'linux':
+if not env['no_rtio']:
+ if getPlatform() == 'linux':
         msvctools = False
         print "OS is Linux..."
         hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
         perms = env.Command('perms', 'src/AudioDefs.h', "chmod a-x include/SndObj/*.h")
         Depends(perms,hdrs)
+        swigdef = []
 	alsaFound = configure.CheckHeader("alsa/asoundlib.h", language = "C")
 	ossFound = configure.CheckHeader("soundcard.h", language="C")
 	jackFound = configure.CheckHeader("jack/jack.h", language = "C")
 	if alsaFound and env['alsa']:
 	  env.Append(CPPDEFINES="ALSA")
-          swigdef = ['-DALSA']
+          swigdef.append('-DALSA')
           env.Append(LIBS=['asound'])
           print "The library realtime IO (class SndRTIO) will be configured for ALSA"
 	  rtio = True 
@@ -142,7 +147,7 @@
         javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
        
    
-if getPlatform() == 'win':
+ if getPlatform() == 'win':
         print "OS is Windows, environment is win32..."
 	env.Append(CPPDEFINES="WIN")
         swigdef = ['-DWIN', '-DSWIGFIX', '-D_MSBC']
@@ -151,9 +156,10 @@
           hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "copy  src\\*.h include\\SndObj")
           separateLibs = False
           print 'using MSVC...'
-          includes = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\include"
-          libs = "C:\\Program Files\\Microsoft Visual Studio\\VC98\\lib"
-          env.Append(CPPPATH=['msvc6.0'])
+          includes = ["C:\\Program Files\\Microsoft SDKs\\Windows\\v6.0A\\Include", "C:\\pthreads\\pthreads.2", \
+                      "C:\\Python%c%c\\Lib\\site-packages\\numpy\\core\\include\\" % (getVersion()[0], getVersion()[2])]
+          libs = ["C:\\Program Files\\Microsoft SDKs\\Windows\\v6.0A\\Lib"]
+          env.Append(CPPPATH=['msvc9.0'])
           pythonlib=''
           env.Append(LIBS=['pthreadVC', 'advapi32', 'user32'])
         else: # mingw ? Set any outstanding mingwin paths here
@@ -166,10 +172,11 @@
           includes = ''
           libs     = ''
           pythonlib = 'python%c%c'% (getVersion()[0], getVersion()[2])
-        env.Append(CPPPATH=[includes])
- 	env.Append(LIBPATH=[libs])
+        env.Append(CPPPATH=includes)
+ 	env.Append(LIBPATH=libs)
  	env.Append(LIBPATH=['lib'])
         env.Append(LIBS=['winmm'])
+        if env['buildASIO']: buildasio = 1
         rtio = True
         jackFound = False
         pythonincpath = ['c:\\Python%c%c\include' % (getVersion()[0], getVersion()[2]), env['pythonpath']]
@@ -177,7 +184,7 @@
         pythonlibpath.append(env['pythonlibpath'])
         javapath = ["C:\\Program Files\\Java\\jdk1.5.0_05",env['javapath']]
 
-if getPlatform() == 'cygwin':
+ if getPlatform() == 'cygwin':
         print "OS is Windows, environment is Cygwin..."
         msvctools = False
 	env.Append(CPPDEFINES=['WIN', 'GCC'])
@@ -189,7 +196,7 @@
         pythonincpath = ['/usr/include/python' + getVersion(), env['pythonpath']]
         javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
 
-if getPlatform() == 'macosx':
+ if getPlatform() == 'macosx':
         print "OS is MacOSX"
         msvctools = False
         hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
@@ -208,7 +215,7 @@
         javapath = ['/System/Library/Frameworks/JavaVM.framework', env['javapath']]  
 
 
-if getPlatform() == 'sgi':
+ if getPlatform() == 'sgi':
         print "OS is SGI/Irix..."
         msvctools = False
         hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
@@ -221,8 +228,11 @@
         javapath =   ['/usr/lib/java/jvm/include', env['javapath']]
        
 
-if getPlatform() == 'unsupported':
+ if getPlatform() == 'unsupported':
        print "Realtime IO not supported on this platform: %s" % sys.platform
+       env['no_rtio'] = True
+
+if env['no_rtio']:
        hdrs = env.Command('include/SndObj/AudioDefs.h', 'src/AudioDefs.h', "cp -f src/*.h include/SndObj")
        rtio = False
        swigdef = ['-DNO_RTIO']
@@ -231,11 +241,14 @@
        jackFound = False
        pythonincpath = ['/usr/include/python%c%c' % (getVersion()[0], getVersion()[2]), env['pythonpath']]      
        javapath = ['/usr/java/include', env['javapath']]
+       if getPlatform() == 'macosx':
+        pythonincpath = [env['pythonpath'], '/Library/Frameworks/Python.framework/Headers', '/System/Library/Frameworks/Python.framework/Headers']
+        javapath = ['/System/Library/Frameworks/JavaVM.framework', env['javapath']] 
 
 if not msvctools:
    flags = "-O2" + env['flags']
 else:
-   flags = "-GX -GB -O2" + env['flags']
+   flags = "-EHsc -O2" + env['flags']
    
 #check endianness
 if sys.byteorder == "big":
@@ -246,6 +259,7 @@
 
 if not rtio:
    env.Prepend(CPPDEFINES=['NO_RTIO'])
+   swigdef = ['-DNO_RTIO']
 
 env.Prepend(CPPPATH= ['include','include/rfftw'])
 swigcheck = 'swig' in env['TOOLS']
@@ -285,24 +299,3 @@
 Randh.cpp Randi.cpp Unit.cpp Ap.cpp 
 Hilb.cpp SndIn.cpp SndObj.cpp MidiIn.cpp 
 MidiMap.cpp Bend.cpp Fir.cpp FFT.cpp 
-IFFT.cpp Convol.cpp FastOsc.cpp Osc.cpp 
-Osci.cpp PVA.cpp IFGram.cpp HiPass.cpp 
-LowPass.cpp TpTz.cpp PVS.cpp PVMorph.cpp 
-PVFilter.cpp PVMask.cpp PVMix.cpp 
-PVTransp.cpp PVBlur.cpp PVRead.cpp 
-SinAnal.cpp SinSyn.cpp AdSyn.cpp ReSyn.cpp IFAdd.cpp 
-SndRead.cpp SpecIn.cpp SpecMult.cpp 
-SpecCart.cpp SpecCombine.cpp SpecInterp.cpp 
-SpecPolar.cpp SpecSplit.cpp SpecThresh.cpp 
-SpecVoc.cpp  Ptrack.cpp""")
-
-sndiosources = Split("""SndIO.cpp SndRTIO.cpp SndFIO.cpp 
-SndWave.cpp SndAiff.cpp SndBuffer.cpp 
-SndMidi.cpp SndMidiIn.cpp SndWaveX.cpp 
-SndPVOCEX.cpp SndSinIO.cpp  SndCoreAudio.cpp SndJackIO.cpp SndASIO.cpp """)
-
-tablesources = Split("""HarmTable.cpp UsrHarmTable.cpp 
-TrisegTable.cpp SndTable.cpp PlnTable.cpp 
-HammingTable.cpp NoteTable.cpp UsrDefTable.cpp 
-LoPassTable.cpp ImpulseTable.cpp 
-SpecEnvTable.cpp  EnvTable.cpp PVEnvTable.cpp PVTable.cpp""")
