=== debian/changelog ===
sndobj (2.6.7+ds1-3) unstable; urgency=medium

  * Team upload.

  * B-D on python3-distutils (Closes: #952329)
  * Add salsa-ci configuration
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 27 Mar 2020 00:19:43 +0100

sndobj (2.6.7+ds1-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add patch for consistent indentation in Python3 code
    (Closes: #947582)
  * Declare that building this package does not require "root" powers
  * Remove trailing whitespace from d/changelog
  * Bump dh compat to 12
  * Bump standards-version to 4.4.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 15 Jan 2020 14:20:17 +0100

sndobj (2.6.7+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches: Refresh.
  * debian/copyright: Strip VCS files from tarball.
  * debian/contro:
    - Update Vcs-*.
    - Bump Standards-Version.
    - Bump debhelper version to 9.
  * debian/rules: Include global *FLAGS.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 28 Nov 2016 21:15:10 +0100

sndobj (2.6.6.1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Philip Chung to fix compilation with GCC 6. (fixes #811743)

 -- Johannes Brandstätter <jbrandst@2ds.eu>  Sat, 24 Sep 2016 15:30:54 +0200
