=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

sconsflags  = customLIBS=pthread
sconsflags += customLIBPATH=/usr/lib/$(DEB_HOST_MULTIARCH)
sconsflags += customCCFLAGS="$(CPPFLAGS) $(CFLAGS)"
sconsflags += customCXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)"
sconsflags += customSHLINKFLAGS="$(LDFLAGS)"

%:
	dh $@

override_dh_auto_clean:
	rm -rf lib
	dh_auto_clean

override_dh_auto_build:
	mkdir -p lib
ifeq (linux,$(DEB_HOST_ARCH_OS))
	scons ALSA=true OSS=false JACK=true $(sconsflags)
else
	scons ALSA=false OSS=true JACK=false $(sconsflags)
endif

override_dh_install:
	dh_install -plibsndobj-dev include/SndObj usr/include
	dh_install -plibsndobj-dev lib/*.so usr/lib/$(DEB_HOST_MULTIARCH)/
	dh_install -plibsndobj2v5 lib/*.so.* usr/lib/$(DEB_HOST_MULTIARCH)/

override_dh_installchangelogs:
	dh_installchangelogs change.log
