=== debian/watch ===
version=3
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
https://sf.net/sndobj/SndObj-(.+)\.tar\.gz
